print("moduleOne")

local P = {}

function P:new(val)
	local o =
	{
	  mValue = val
	}
	
	setmetatable(o, self)
	self.__index = self
	return o
end

function P:getValue()
	return self.mValue
end

return P